package com.hammurapi.common.concurrent;

/**
 * Callback interface for callable execution.
 * @author Pavel Vlasov
 *
 * @param <V>
 */
public interface CallableListener<V> {
	
	void onCall(V value);
	
	void onException(Exception e);

}
